'use strict';

app.controller('RemoteCtrl', ['$scope', '$rootScope', 'FormService', 'RestService', 'AlertService', 'TranslateService', 'remoteDeliveryQualities', 'formData', 
    function ($scope, $rootScope, FormService, RestService, AlertService, TranslateService, remoteDeliveryQualities, formData) {

    $scope.remoteDeliveryQualities = remoteDeliveryQualities;
    $scope.formData = formData;

	$scope.submit = function (form) {
        FormService.submitForm('remote-access', $scope.formData, form, $scope);
    };

    $scope.checkConnectivity = function() {
        $scope.checkConnectivityInProgress = true;
        RestService.invokeAction('checkPortMapping', null, false, function(response) {            
            $scope.checkConnectivityInProgress = false;
            var errorCode = response.data.errorCode;
            if(errorCode == 0) {
                AlertService.success(TranslateService.getMessage('tab_remote_access_connectivity_available'));
            } else if (errorCode == 604) {
                AlertService.error(TranslateService.getMessage('tab_remote_access_connectivity_unavailable'));
            } else if (errorCode == 605) {
                AlertService.warning(TranslateService.getMessage('tab_remote_access_connectivity_unknown'));
            }
        }, function(response) {            
            $scope.checkConnectivityInProgress = false;
            RestService.processError(response);
        })
    }

    $scope.isPasswordNeeded = function() {
        return $rootScope.applicationData.cdsAnonymousEnabled == false;        
    }

}]);